Package com.usatiuk.dhfs.remoteobj

# Class RemoteObjPusherTxHook

java.lang.Object
com.usatiuk.dhfs.remoteobj.RemoteObjPusherTxHook

All Implemented Interfaces:
  `PreCommitTxHook`

@Singleton public class RemoteObjPusherTxHook extends Object implements PreCommitTxHook

## Constructor Summary

Constructors
Constructor
Description
`RemoteObjPusherTxHook()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPriority()`
`void`
`onChange(JObjectKey key, JData old, JData cur)`
`void`
`onCreate(JObjectKey key, JData cur)`
`void`
`onDelete(JObjectKey key, JData cur)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteObjPusherTxHook

public RemoteObjPusherTxHook()

## Method Details

### onChange

public void onChange(JObjectKey key, JData old, JData cur)

Specified by:
  `onChange` in interface `PreCommitTxHook`

### onCreate

public void onCreate(JObjectKey key, JData cur)

Specified by:
  `onCreate` in interface `PreCommitTxHook`

### onDelete

public void onDelete(JObjectKey key, JData cur)

Specified by:
  `onDelete` in interface `PreCommitTxHook`

### getPriority

public int getPriority()

Specified by:
  `getPriority` in interface `PreCommitTxHook`